Gda.QuarkList – Gda-6.0 Reference Manual

# QuarkList

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_quark_list_get_type ()" ) ]
[ Compact ]
public class QuarkList
Namespace: Gda
Package: Gda-6.0

## Content:

### Creation methods:

- public QuarkList ()
- public QuarkList.from_string (string string)

### Methods:

- public void @foreach (HFunc func)
- public void add_from_string (string string, bool cleanup)
- public void clear ()
- public QuarkList copy ()
- public unowned string find (string name)
- public void free ()
- public void protect_values ()
- public void remove (string name)